Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Class SecretKeyData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.bc.SecretKeyData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SecretKeyData
extends ASN1Object

SecretKeyData ::= SEQUENCE { keyAlgorithm OBJECT IDENTIFIER, keyBytes OCTET STRING }

Constructor Summary
`SecretKeyData(ASN1ObjectIdentifier keyAlgorithm, byte[] keyBytes)`

Method Summary
`static SecretKeyData` | `getInstance(java.lang.Object o)`
`ASN1ObjectIdentifier` | `getKeyAlgorithm()`
`byte[]` | `getKeyBytes()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecretKeyData

    public SecretKeyData(ASN1ObjectIdentifier keyAlgorithm,
                         byte[] keyBytes)

Method Detail

### getInstance

    public static SecretKeyData getInstance(java.lang.Object o)

### getKeyBytes

    public byte[] getKeyBytes()

### getKeyAlgorithm

    public ASN1ObjectIdentifier getKeyAlgorithm()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD